var setDirectory = "images/"; // 当前documentset目录，包括结尾的斜线
var fileTypes    = "jpg"; // 图片文件类型, 通常是 jpg 或者 png
var lastDocNum   = 4;    // 设定最后文件的编号（我这里只调用4张图片，最后的图片编号为04.jpg）
var fileDigits   = 2;   // 文件名前的数字总数（我这里的图片文件是01.jpg,所以设置为2）: 01, 001, 0001 

function addLeadingZeros (n, length) {
  var str = (n > 0 ? n : -n) + "";
  var zeros = "";
  
  for (var i = length - str.length; i > 0; i--)
    zeros += "0";

  zeros += str;
  zeros += '.'+fileTypes;
  return n >= 0 ? zeros : "-" + zeros;
}


/* begin jQuery */
$(function(){
  var docimage  = $('#documentcontainer > img');
  
  $(docimage).on('click', function(e){
    e.preventDefault();
    
    var currentid = $(this).attr('data-page');
    var newimgid  = parseInt(currentid)+1;
    var newimgsrc = setDirectory;
    
    if(currentid == lastDocNum) {
      // if viewing the last page then do nothing
      return false;
    }
    
    newimgsrc += addLeadingZeros(newimgid, fileDigits);
    
    $(this).attr('data-page', newimgid);
    $(this).attr('src', newimgsrc);
  }); // event handler for clicking doc image
  
  
  $('#controls > #forwardpage, #controls > #backpage').on('click', function(e){
    e.preventDefault();  
    
    var currentid = $(docimage).attr('data-page');
    var newimgsrc = setDirectory;
    
    if($(this).attr('id') == 'backpage') 
      var newimgid = parseInt(currentid)-1;
    else if($(this).attr('id') == 'forwardpage')
      var newimgid = parseInt(currentid)+1;
      
    if(currentid == lastDocNum && $(this).attr('id') == 'forwardpage') {
      // if viewing the last page then no more forward links
      return false;
    }
    if(currentid == 1 && $(this).attr('id') == 'backpage') {
      // if viewing the first page then no going backwards
      return false;
    }
    
    newimgsrc += addLeadingZeros(newimgid, fileDigits);
    
    $(docimage).attr('data-page', newimgid);
    $(docimage).attr('src', newimgsrc);
  }); // event handler for clicking arrow links
});